<?php

/**
 * The plugin bootstrap file
 * 
 * @link    https://wp1.co
 * @since   1.0.0
 * @package Product_Brands_For_Woocommerce
 *
 * @wordpress-plugin
 * Plugin Name: Product Brands for WooCommerce
 * Plugin URI: https://wp1.co/wp/brands/
 * Description: Product Brands for WooCommerce allows your customer to view all brands in one page or brand carousel on homepage, customer can filter and view products by brands.
 * Version: 1.3.1
 * Author: WP1
 * Author URI: http://wp1.co/
 * Developer: WP1
 * Developer URI: http://wp1.co/wp/
 * Text Domain: product-brands-for-woocommerce
 * Domain Path: /languages
 *
 * Woo: 6267536:b88daac35e7bcf70320575104cc1068f
 * WC requires at least: 3.3.0
 * WC tested up to: 7.0.0
 *
 * Copyright: © 2009-2015 WooCommerce.
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */

// If this file is called directly, abort.
if (! defined('WPINC') ) {
	die;
}

if (! defined('PRODUCT_BRANDS_FOR_WOOCOMMERCE_PLUGIN_DIR') ) {
	define('PRODUCT_BRANDS_FOR_WOOCOMMERCE_PLUGIN_DIR', plugin_dir_path(__FILE__));
}
if (! defined('PRODUCT_BRANDS_FOR_WOOCOMMERCE_PLUGIN_URL') ) {
	define('PRODUCT_BRANDS_FOR_WOOCOMMERCE_PLUGIN_URL', plugins_url() . '/product-brands-for-woocommerce');
}
if (! defined('PRODUCT_BRANDS_FOR_WOOCOMMERCE_PLUGIN_FILE') ) {
	define('PRODUCT_BRANDS_FOR_WOOCOMMERCE_PLUGIN_FILE', __FILE__);
}
if (! defined('PRODUCT_BRANDS_FOR_WOOCOMMERCE_PLUGIN_BASENAME') ) {
	define('PRODUCT_BRANDS_FOR_WOOCOMMERCE_PLUGIN_BASENAME', plugin_basename(PRODUCT_BRANDS_FOR_WOOCOMMERCE_PLUGIN_FILE));
}


/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('PRODUCT_BRANDS_FOR_WOOCOMMERCE_VERSION', '1.3.1');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-product-brands-for-woocommerce-activator.php
 */
function activate_product_brands_for_woocommerce() {
	include_once plugin_dir_path(__FILE__) . 'includes/class-product-brands-for-woocommerce-activator.php';
	Product_Brands_For_Woocommerce_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-product-brands-for-woocommerce-deactivator.php
 */
function deactivate_product_brands_for_woocommerce() {
	include_once plugin_dir_path(__FILE__) . 'includes/class-product-brands-for-woocommerce-deactivator.php';
	Product_Brands_For_Woocommerce_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_product_brands_for_woocommerce');
register_deactivation_hook(__FILE__, 'deactivate_product_brands_for_woocommerce');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-product-brands-for-woocommerce.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since 1.0.0
 */
function run_product_brands_for_woocommerce() {

	$plugin = new Product_Brands_For_Woocommerce();
	$plugin->run();

}
run_product_brands_for_woocommerce();
